Subject: bug#5826: [feature] chmod +S to setgid directories alike +X

From: Andreas Schwab <[email-masked]>
Date: Sat, 03 Apr 2010 16:26:15 +0200

Michał Górny <[email-masked]> writes:

> I would really appreciate if chmod supported setting setgid permissions
> on directories (and files already having such) recursively, much like
> '+X' does set executable permission. To match the '+X' one, I suggest
> using '+S' for that.

Since there is only a single setgid bit (unlike the exec bits) I don't
see the point of +S (it looks like a no-op).  Moreover, anything more
complex than what chmod already provides can easily be accomplished with
find.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."